The Main Interface

Interface Overview

The main interface (below) is displayed after "Accept" has been selected to accept the terms and conditions for using the software.

Most functions may be accessed in three ways:

  • Using the toolbar (File / View / ...)
  • Using the graphical interface when not in setup mode (Press the "ESC" key to switch between treatment and setup modes).
  • Using the keyboard shortcut keys (for some functions only)

Toolbar

  • FILE: Open / Save / Save as / Exit
  • VIEW: Fullscreen / Start-Stop / (Options)
  • etc

To access a toolbar option either move your mouse cursor over the item or press the ALT key and the highlighted letter (eg ALT F for the File menu.

GUI Graphical User Interface

The GUI is visible only when not in treatment mode. The two main types of control are track bars and scroll bars:

Scroll bar: Click on the left / right arrows or click / hold / drag the central bar to adjust.

Track bar: Click / hold / drag the central bar to adjust.

Check box: Click once to check and again to uncheck.

The area at the bottom of the GUI is used to optionally display current file settings

  • Current user file
  • Current background sound
  • Current beep sound
  • Current ball / image file

To display or hide the file settings click on the "+" or "-" signs.

The GUI is not visible in treatment mode. (Press the "ESC" key to switch between setup and treatment modes).

The area at the bottom of the screen is used to display messages including revised settings when adjustments are made via the GUI and number of loops / iterations.

Scroll bars to the left and right of the screen control the horizontal track of the ball / image. The default setting is just below the middle of the screen (when maximised).

NB: The system should ideally be used in "maximised" windows mode.

Keyboard Shortcuts

To display the keyboard shortcut menu press "Ctrl H". More...

(Press the "ESC" key to switch between setup and fullscreen modes).

Quick start tips

Press the "Preview" button followed by the "ESCAPE" key or press the "Space" bar followed by the "ESCAPE" key.

© Neuro Innovations 2002-2012


KEYBOARD SHORTCUTS

FILE Alt F
Open Alt F/O
Save Alt F/S
Save As Alt F/A
Exit Alt F/X

VIEW Alt V
Fullscreen F11 / Esc
Start/Stop Ctrl Z / F12 (Space in treatment mode)

BG SOUND Alt B
Add Alt B/D
Play Alt B/Y
Pause Alt B/U
Resume Alt B/E
Stop Alt B/T / Ctrl X
Volume Up F2
Volume Down F3
Pan Left Alt B/L
Pan Right Alt B/R

BEEPS Alt P
Add CtrlShft A
Volume Up F4
Volume Down F5

MOVEMENT Alt M
Slower Ctrl S
Faster Ctrl F
  • Slower Ctrl S -0.5 units
  • (S - in treatment mode) -0.1 units
  • Faster Ctrl F +0.5 units
  • (F - in treatment mode) +0.1 units
  • (Also arrow keys in treatment mode)
Start/Stop Ctrl Z / F12
Up Ctrl U
Down Ctrl D
Visual Ctrl V (V - in treatment mode)
Auditory Ctrl A (A - in treatment mode)
Kinasthetic Ctrl K (K - in treatment mode)
KVr Alt M/K / F9 (\ - in treatment mode)
VcAd Alt M/C / F10 (/ - in treatment mode)
Cycle Motion Ctrl Y

IMAGE Alt I
Smaller CtrlShift S (R for reduce in treatment mode)
Larger CtrlShift V (E for enlarge in treatment mode)
Red CtrlShift R
Green CtrlShift G
Blue CtrlShift B
Gray CtrlShift Y
Black CtrlShift K
White CtrlShift W

HELP Alt H
Help Topics F1
Keyboard Help Ctrl H


File Open / Save / Save as

File Open via Windows

When a settings file eg relax.emdr is double-clicked EMDR Pro will open and the settings will be loaded. Common settings files can therefore be placed eg on the desktop for rapid access. If several settings files are opened at once only the first settings file will be opened.

File Open

Enables you to load a settings profile from c:\CS\vEMDR\User (default path)

The file filter will be set to *.emdr and should not be altered. emdr files should not be edited.

The new settings will be implemented immediatly.

You may load a new settings profile at any time.

If a media file is missing (that was in the shared multimedia library or in any of the other default media file locations used in previous versions of EMDR Pro) EMDR Pro will try and find a file by the same name or a very similar name in the shared multimedia library.

This means that folder names and file names can change slightly and the media file will be automatically relocated when opening saved settings files. If the filename changes too much the file will not be relocated. (Multiple background images are excluded from this because this area of the program has its own way of dealing with missing images).

Shortcut: ALT/F/O

NB: The current settings profile will inherit all values from the last profile loaded unless a new value is present in the current profile. This is intentional and allows you to maintain a standard profile with non-standard child profiles.

UNSUPPORTED FEATURE: .emdr files are in plain text format (value name / tab / value / crlf) and CAN be edited using notepad (NOT Wordpad/Word etc). Manual editing is not advised however.

File Save

Enables you to save any changes to an existing settings profile to c:\CS\vEMDR\User (default path)

If a current profile is present it will be overwritten without further warning messages.

If a current profile is not present the "File save as" window will appear.

The file filter will be set to *.emdr and should not be altered. emdr files should not be edited.

Shortcut: ALT/F/S

File Save As

Enables you to save the current settings profile to c:\CS\vEMDR\User (default path)

You will be prompted to enter a new filename. The file filter will be set to *.emdr and should not be altered. emdr files should not be edited.

Shortcut: ALT/F/A


Movement

Quick Menu - Basic Functions

The top most part of the user interface can be used to start or stop movement, switch between screen modes and to rapidly control movement.

Click on "Preview" to preview movement when in setup mode.

Click on "Start" or press the "ESCAPE" key to switch between treatment and setup modes rapidly.

Refresh rate - Level of anti judder

In most circumstances this should be left at the maximum (fully to the right - as little judder as possible).

If you have a very high spec PC it may be necessary to slow the processing speed of the software down by reducing the refresh rate until movement is visible. The slower the refresh rate the more the movement may appear to judder.

In vEMDR Pro 2.4 if you click on the "?" to the left of the "Refresh" slider bar the system will attempt to automatically calculate the optimum refresh rate. This function is optional and experimental in v2.4.

Speed

The speed of tracking from left to right. There is not a direct relationship between the value displayed in the message area at the bottom of the screen and time in seconds etc.

Loops (Sets / Iterations)

The number of times the image moves from left to right. One loop or iteration is a complete movement from left to right.

The current number of loops is displayed at the bottom of the screen in the message area.

When the maximum number of loops is hit all movement / beep audio will stop. Background audio will continue.

To reset the loop / rep counter click on the symbol to the left.

Show (Loops / Reps) [v5.8+]

When selected displays the current number of loops / reps at the top left hand side of the screen.

Infinity

Sets the number of iterations to zero.

To enable infinity manually simply the number of loops to zero using the "Loop" slider.

Turbo check box (1 and 2)

By default the first of the two turbo check-boxes is selected. This setting should be suitable for most systems.

Deselect one or both check boxes to slow the system down (may be required with very high spec systems). Before doing so ensure that the speed scroll bar is fully to the left ie slowest.

There are two check boxes - clicking on both check-boxes with generate fast animation that uses most processing power. (Maximum animation frames per second).

If you have a slow system uncheck both check boxes.

Smooth (fast systems only)

If your system can cope with a great deal of processing as might be the case with a very high spec system then select this checkbox and notice any difference in animation smoothness. There may or may not be a change depending on your system and your graphics card. Speed should be unaffected if using a fast system. Avoid checking this box if you have a slow system.

Horizontal tracking

Scroll bars to the left and right of the screen control the horizontal track of the ball / image. The default setting is just below the middle of the screen.

NB: Changes take place when the tracking image next moves when you press eg the "Preview" button. When movement is present changes are immediate.

NB: The track of the ball / image will be just below a line between the positions of the two track bars.

Main Options

Visual - Ctrl V

Tracks at the top of the screen.

Auditory - Ctrl A

Tracks in the middle of the screen.

Kinasthetic - Ctrl K

Tracks at the bottom of the screen.

KVr - Alt M/K / F9

Tracks from top right to bottom left

VcAd - Alt M/C / F10

Tracks from bottom left to top right

Cycle Motion - Ctrl Y

Cycles between the above modes in a loop. Click on the "Cycle Motion" button again to reset and prevent looping.

Random Motion

An entirely random motion with the change of direction in the middle of the window..

Elliptical check-box

The default tracking mode is elliptical. Left => Right then Right = Left.

Tracking from left to right is at a variable speed - slower when the object reaches the left and right hand sides in a smooth pendulum like motion.

The movement is in the form of a flattened ellipse. The extent to which the ellipse is flattened can be controlled by the scroll bar below.

Clockwise / anti-clockwise

Applies to the elliptical tracking pattern and determines if tracking is left to right or right to left.

Depth scroll bar

Determines the extent to which the ellipse or wave is flattened. Has no effect when in other tracking modes.

Flat check-box

This is equivalent to the tracking style used by version 2.4. Tracking from left to right is at a fixed speed and is in a straight line.

Fixed position - Circular V(ertical) check-box

A tracking pattern in a circular top to bottom motion.

Fixed position - Circular H(orizontal) check-box

A tracking pattern in a circular right to left motion.

Fixed position - Circular check-box

A roughly circular tracking motion.

Fixed position - Orbital check-box

A tracking pattern in a circular right to left motion which takes the form of a fixed height ellipse.

Fixed position - Wave (1 and 2)

Wave patterns in sine and cosine formats. The height of the wave is controlled by the scroll-bar.

Fixed position - Figure of eight

A clockwise pattern in a figure of eight shape. The shape can be made smaller by moving the scroll-bar above. (Can be made smaller using the scroll-bar).


Background loop sound / audio

Background Audio

Smooth Start: When settings are loaded from disk, or a sound is added for the first time or cleared the volume is automatically reduced smoothly to zero the audio file is loaded / cleared and the volume is smoothly brought back to it's previous level. This ensures that there are no jarring or abrupt changes in volume that may startle. We refer to this effect as "smooth start".

Smooth Start can be disabled via Options

You can rapidly select previously opened background audio files with a couple of clicks. Audio files available for re-selection are displayed in the "File locations" panel in the middle of the setup screen. When you click on the audio filename the currently playing audio file will be stopped and the selected audio file will be played.

Binaural sound (Low frequency audio) (V5.3+)

Binaural sounds are sounds that are perceived within the mind when listening to combinations of sound frequencies. The effects range from feeling alert through to very relaxed depending on the combination of frequencies being played. Binaural sounds are also often known as "low frequency audio" or "mind sync audio".

Panning and smooth start do not apply to to Binaural sounds and the volume is set at whatever the system volume is. It is therefore important to ensure that the system volume is set as low as possible before playing Binaural sounds. A slider to control the system volume has been provided (Windows 2000+).

To play a Binaural sound click on the "Wave" icon, select a file and click on OK. To stop playing a Binaural sound click on the round "Stop" icon. There are many sample files provided.

For editing options see the Binaural sound page

Add

Enables you to add a background loop sounds from c:\CS\vEMDR\Audio\Background (default path) and then play it as soon as it has loaded.

If the shared resource folder is present the default path will be C:\CS\Shared\Audio.

If "Use file selector with preview" has been selected in options the following window will be displayed. Single or double click on a filename to preview:

The following audio formats are supported WAV/MP3/MP2/MP1

By default the file display filter is set to "All files *.*". To find eg an MP3 file alter the filter in the dialogue box to MP3

If a file type is not supported or corrupt or missing a "Can't load sample" message will appear. Click on "OK" to continue.

WARNING: Very large audio loop files will take time to load into memory and may slow the system down. Use the embedded media player to play large files and CD audio.

NOTE: It is possible to add multiple audio files into the current session by clicking on the "Add" button repeatedly. This is an unsupported feature. The sounds will be mixed together. Volume control remains for the first sound only.

Play

In V2.9+ loops are played automatically at the appropriate time.

Plays the currently active background loop sound in a continuous loop. If a sound is not loaded nothing will happen.

When the "PAUSE ALL" button is pressed the "PLAY" button is not selectable.

UNSUPPORTED FEATURE: If a sound is already loaded another copy of the sound will be mixed into (overlaid on top of) the current sound. NB volume / pan control is available for the first sound only.

Pause

Stops all sounds loops.

When the "PAUSE" button is pressed the "PLAY" button is not selectable.

Resume

Resumes playing after the "PAUSE" button has been pressed. Resumes playing from the point at which the sample was paused.

Pan left / right

Directs sound to the left or right hand speakers.

Does not affect beep sounds

Volume

Increases or decreases the playback volume of the currently loaded background sound.

The initial setting of the track bar is 50% of maximum.

Does not affect beep sounds

Clear (v2.4.1+)

Removes the currently loaded sound from memory completely.

Pan - Track Panning (v2.8+)

Tracks panning from left to right and right to left as the tracking object moves.


vEMDR Help - Binaural sound / LFA

Binaural sounds also known as LFA or low frequency audio (V5.3+ Experimental)

In the main GUI

Binaural sounds are sounds that are perceived within the mind when listening to combinations of sound frequencies. The effects range from feeling alert through to very relaxed depending on the combination of frequencies being played. Binaural sounds are also often known as "low frequency audio" or "mind sync audio".

Panning and smooth start do not apply to to Binaural sounds and the volume is set at whatever the system volume is. It is therefore important to ensure that the system volume is set as low as possible before playing Binaural sounds.

A method to control the system volume has been provided vie the black +/- icons. NB On some laptops the volume increases to max or reduces to zero. If affected do not use this facility. (This issue is being investigated).

To play a Binaural sound click on the "Wave" icon, select a file and click on OK. To stop playing a Binaural sound click on the round "Stop" icon. There are many sample files provided.

The inbuilt binaural sound generator

Top of window - Misc options

Type - List of check boxes

Type (Drop or Slide - Slide holds the beat frequency constant whilst dropping the carrier tone from the initial value right down to 0Hz. "User" allows the user to directly edit the current profile manually

Result box

Sound profile - code that describes the sound that will be played

Filename box

Current filename to save profile to

Icon - generate

Generate sound profile - generates a code that describes the sound that will be played (triggered automatically whenever there is a change)

Icon - test

Test profile by loading and playing

Icon - stop test

Stop playing profile test

Icon - save

Save to file using existing filename

Icon - save as

Save to file using new filename

Icon - save as wave file

Save to .wav file file using new filename to C:\CS\Shared\Audio\Binaural\

Scroll bar - system volume

System volume

Icon - Exit and play

Exit and play in EMDR Pro

Area 1 - Drop options

Check box - timings

Select non-standard timings (the default is 30 mins if not selected)

Scroll bar - droptime

Drop time (mins) - overall playing time

Scroll bar - holdtime

- Hold time (mins)

Scroll bar - waketime

- Wake time (mins)

Scroll bar - level

Level frequency 200Hz (00 to 2Hz (99 Carrier frequencies from 200Hz (00 down to 2Hz (99. Later levels (lower frequencies) require headphones that can reproduce really deep bass frequencies, ideally down to 10Hz or lower.

List of check boxes - depth

Depth - selects the depth of the beat frequencies Deeper beats (later letters are supposed to be better

Check box - slide

Slide - when selected there are no steps and the frequencies smoothly and gradually change throughout the whole session

Area 2 - Slide options

Scroll bar - duration

Duration in mins

Scroll bar - carrier frequency

Carrier wave frequency

Scroll bar - beat

Beat frequency - the sound that you experience internally - lower frequencies generate more relaxation. Note: The lowest frequencies may not be audible on your system.

Area 3 - Shared options that apply to drop and slide types

Scroll bar - tone volume

Tone volume

Scroll bar - beat volume

Beat volume

List of check boxes - tones

Tone options - tones are faded in and out at the start and end of the session

Check box - mix

Select a sound file to mix with - selects mix as the tone automatically MP3/Wav files must be 16-bit stereo files. MP3/Wav support is experimental and playing stops when the sound ends. OGG sound files can be looped. (See below for conversion process).

Bottom of window - Play exisitng profile

Icon - load and play

Load existing profile and play

Icon - load play stop

Stop playing loaded profile

Bottom of window - Convert ogg file to looped ogg file

Icon - load and play

Load existing ogg file and play

Icon - play / pause

Play / pause loaded ogg file

Button - convert

Convert into a looped ogg file and save to C:\CS\Shared\Audio\Binaural\ogg-loops


Tracking Image and Settings / Background Image

Tracking Image Settings

Add Tracking Image

Enables you to select one or more custom tracking images.

If "Use file selector with preview" has been selected in options the following window will be displayed. Single or double click on a filename to preview:

Enables you to add an image from C:\CS\Shared\Image\TRACKING ICONS (default path).

  • To select images from C:\CS\Shared\Image click on the "Up one level" icon when the file selection window appears
  • To see thumbnail previews select "Thumbnails" by clicking on the "View Menu" icon

A wide variety of formats are supported. However, png or gif images are preferred because they support transarency and are reasonably small.

By default the file display filter is set to "All files *.*"

If a file type is not supported or corrupt or missing a "Unable to load image file" message will appear in the messages area. And the default "safe" red square mode will be implemented (see below).

WARNING: Very large image files will take time to load and may slow the system down.

NB: If an image can't be loaded for any reason (eg missing file) the system will auto reset into "red square" mode. In this mode any current images will be set against a red square background and if no image is currently loaded a simple red square will be displayed. To reset this mode add a valid image file, save, exit the application and then restart the application.

NB New images will be resized automatically in accordance with your current tracking object size settings. To crop an existing image edit using appropriate software eg Photoshop.

Preset Tracking Images

Allows the user to select from a variety of circular or square preset tracking images in a variety of colours.

  • Circular / square
  • Red / green / blue / yellow / black / * white (*V5.9+)

When tracking using a circular image with a background transparency should be enabled.

Image Size

This track bar enables you to proportionally increase or decrease the size of the image in both dimensions (width and height) or in one dimension (eg width only).

NB All images are treated initially when first loaded as being square. To alter the proportions of an existing image edit using appropriate software or use the "Width / Height" functions below.

Width / Height

These track bars enable you to increase or decrease the width or height of the image.

Multiple Tracking Images (New in V2.9.3a)

This feature allows many tracking images to be displayed in sequence. The image is changed when the loop counter is incremented. In most cases this will be when the tracking object / image is at the right hand side.

To load multiple tracking images:

  • click on the "Tracking image" button
  • hold the control or shift keys down at the same time as selecting image files

The control key allows you select files individually. The shift key allows you to select blocks of image files.

If one or more of the selected files is not valid it will be skipped and an error message will be displayed. The remaining files will be displayed when tracking. The same is true when loading a saved settings file eg if an image file has been deleted since the settings were last used.

In theory there is no limit to the number of images that you can load. The only limits are those imposed by the amount of available memory and processor speed.

You may select background images one by one or in bulk from any number of different folders. To select files from different folders simply click the "Open" button after selecting files from the first folder, then click on the "Tracking image" button again and so the same for the tracking images in the second folder.

You can also edit multiple tracking images - this means that you can change the display order and copy / delete images from the list of images to display. To edit the list of images to display:

  1. click on the edit icon that will appear to the right of the "Add..." button OR
  2. click on the file location text to the right of "BG Image" in the "File locations" panel

Click on the "Clear" button at the bottom of the "Image" panel to remove all tracking images and start-over.

System Images

These are contained within c:\CS\vEMDR\Image\System and should not be altered / deleted.

Subliminal Suggestion text entry box

Any text entered into this box will be displayed as a rapid subliminal message when the ball / image is at the far left or right hand sides. Space is available for a small, direct message only. To prevent subliminal messages from being displayed simply remove the text from the box. Subliminal messages are saved with the settings profile and are automatically converted to uppercase only. The message will use approx 80% of the available screen area - the font size will increase / decrease accordingly as you enter text.

When you have completed editing click just outside of the text entry area.

Background Image and Settings

Quality (of background image) trackbar

The level of automatic compression applied to the currently selected background image. 100 (fully right) = load file "as is". 20 (fully left) is 80% compressed. Tracking speed will vary depending on the quality level selected.

Add Background Image

Enables you to browse your PC for a suitable image file or files to display as a background.

If "Use file selector with preview" has been selected in options the following window will be displayed. Single or double click on a filename to preview:

The default path will be C:\CS\Shared\Image.

Background images are displayed behind tracking objects and the video window. Most common image file formats are supported.

Optionally the image can be displayed only when the tracking object is at the far left or right-hand sides of the screen (See BG Img % LR below).

Add Background Image - Check-box

If you check the check-box the system will attempt to estimate any required changes to speed to compensate for large background files being in memory / generating more processor activity.

Multiple Background Images (New in V2.9.4+)

This feature allows many background images to be displayed in sequence. The image is changed when the loop counter is incremented. In most cases this will be when the tracking object / image is at the right hand side.

To load multiple images:

  • click on the "Add BG" button
  • hold the control or shift keys down at the same time as selecting image files

The control key allows you select files individually. The shift key allows you to select blocks of image files.

The files will be load into memory in accordance with the "Quality" setting. If the quality is set to 100% the file is not loaded into memory, it is read from disk "as-is" without any form of compression. If the files are of differing sizes tracking speed may vary between files.

If the quality is anything other than 100% and images are of differing sizes tracking speed will not vary between different backgrounds.

If one or more of the selected background files is not valid it will be skipped and an error message will be displayed. The remaining files will be displayed. The same is true when loading a saved settings file eg if an image file has been deleted since the settings were last used.

After loading multiple background images you can change the "Quality" setting. The changed quality level will be reflected in all of the loaded background images.

In theory there is no limit to the number of images that you can load. The only limits are those imposed by the amount of available memory and processor speed.

As of version 3.3 you can select background images one by one or in bulk from any number of different folders. Previously multiple background images for the slideshow effect had to be selected in from one folder and all at the same time.

You can also edit multiple background images - this means that you can change the display order and copy / delete images from the list of images to display. To edit the list of images to display:

  1. click on the edit icon that will appear to the right of the "Add..." button OR
  2. click on the file location text to the right of "BG Image" in the "File locations" panel

Click on the "Clear BG" button at the bottom of the "Image" panel to remove all background images and start-over.

Opaque / Transparent

This indicates if transparency has been enabled for the currently selected tracking object against a single colour background or currently selected background image if "BG Img % LR" is anything other than 0. Click on the text to change the setting.

It is recommended that you avoid enabling transparency when using background images unless you have a very fast system.

Transparency enabled

Transparency disabled

Clear BG

Remove the currently selected background image

Background Image Image % LR

Alters the amount of time that the background image is displayed for example:·

  • 100% = display all of the time·
  • 10% = display only when 10% of the screen from the left or right hand sides.
  • 0% = display all of the time but disable transparency even if transparency has been enabled

View / Compress Background Image - New to version 2.8.9 June 07

Note: In effect this option has been superseded by the "Quality" option in EMDR Pro 2.9+.

This feature is available via the top menu. Having selected a background image that is in jpg format click on:

  • "Image" then
  • "Compress Background Image"

What happens? The current background image will be copied to the same folder with "_500_300" added to the end of the file name. The new image is then resized to 500 by 300 pixels and the quality is standardised. The new file is then loaded into EMDR Pro as the current background image.

This process results in a very small background image file that is ideal for use when selecting in "transparent" mode. You may notice that the speed is too fast after compressing the background image and you may notice slightly less sharpness.


Colours

The mini menu to the right is present when in setup mode. The "Background Colour" button sets the backgound colour, the area to the left sets the preset image colour and shape.

  • "O" = Round
  • "[]" = Square / rectangular

Background Colour

Displays a dialogue enabling a wide variety of colours to be selected.

After selection the change will be visible immediatly.

Red / Green / Blue / Yellow / Black / White - Preset Image Colour

A number of preset colours are available to select from. They have been preselected on the basis of best quality screen representation. (Some colours are not well suited to high speed animation and can cause image distortion).

After selection the change will be visible instantly.

NB: To add more colours copy c:\CS\vEMDR\Image\System\Black.gif to a different name and edit using any image editor. (Advanced users with image editing skills only).


Media Player

Smooth Start: When settings are loaded from disk, or a sound is added for the first time or cleared the volume is automatically reduced smoothly to zero the audio file is loaded / cleared and the volume is smoothly brought back to it's previous level. This ensures that there are no jarring or abrupt changes in volume that may startle.

Smooth Start can be disabled via Options

Add

Enables you to add multimedia (image / audio / video) from c:\CS\Shared\ (default path) and then play / display it as soon as it has loaded - volume is adjusted.

If "Use file selector with preview" has been selected in options the following window will be displayed. Single or double click on a filename to preview:

The following audio formats are supported depending on the nature of your Windows Media Player / codec installations:

  1. Microsoft Windows Media formats - .avi, .asf, .asx, .rmi, .wav, .wma, .wax
  2. Moving Pictures Experts Group (MPEG) - .mpg, .mpeg, .m1v, .mp2, .mp3, .mpa, .mpe
  3. Musical Instrument Digital Interface (MIDI) - .mid, .rmi
  4. Apple QuickTime®, Macintosh® AIFF Resource - .qt, .aif, .aifc, .aiff, .mov (Untested)
  5. UNIX formats - File name extensions: .au, .snd (Untested)
  6. A variety of other formats are also supported eg QuickTime .mov (depending on codecs installed)

By default the file display filter is set to "All files *.*". To load eg a MP3/AVI file alter the filter in the dialogue box to "*.MP3" or "*.AVI"

If a file type is not supported or corrupt or missing the media will simply not be displayed or played or a message "Unable to play" will be displayed when loaded from a saved profile.

Very large audio files may be loaded and without substantially slowing the system down.

The filename / path of the currently selected file is displayed in the file locations area.

Play (see also icon in media player)

Plays the currently active background sound in a continuous loop depending on the settings within the embedded media player itself. If a sound is not loaded nothing will happen.

When the "PAUSE ALL" button is pressed the "PLAY" button is not selectable.

UNSUPPORTED FEATURE: If a sound is already loaded another copy of the sound will be mixed into (overlaid on top of) the current sound. NB volume / pan control is available for the first sound only.

Pause (see also icon in media player)

Pauses the playing of the media file. Play resumes playing from the point where the media was paused.

Stop (see also icon in media player)

Stops the playing of media player media and resets all background audio. Press "PLAY" to restart background sound.

Rewinds the current background sound to the start of the current sample.

Clear

Unloads the currently selected media.

Volume (slider within the media player itself)

Increases or decreases the playback volume of the currently loaded media.

The initial setting of the track bar is 30% of maximum. When almost at zero sound output is muted.

Does not affect other sounds

Pan - Track Panning

Pans the audio in the player as the object tracks. (NB This setting may affect movement quality on some systems).


Beep Sound / Audio

Beeps / Taps

Add beep

Enables you to add a beep sound from c:\CS\vEMDR\Audio\Beep (default path)

If "Use file selector with preview" has been selected in options the following window will be displayed. Single or double click on a filename to preview:

If the shared resource folder is present the default path will be C:\CS\Shared\Audio\Beep.

The following audio formats are supported WAV/MP3/MP2/MP1

By default the file display filter is set to WAV. To load a MP3/MP2/MP1 file alter the filter in the dialogue box to "All files *.*"

If a file type is not supported or corrupt or missing a "Can't load sample" message will appear. Click on "OK" to continue.

WARNING: Very large audio files will take time to load and may slow the system down.

Clear Beep (v2.8+)

Removes the currently loaded sound from memory completely.

Beep volume track bar

Increases or decreases the playback volume of the currently loaded beep sound.

The initial setting of the track bar is 50% of maximum.

The initial setting of playback is the current speaker volume as defined by current settings within Windows.

Does not affect background sounds

NB All beep sounds are automatically panned from left to right as per the position of the ball / (image).

NB Large beep audio files should be avoided.

UNSUPPORTED FEATURE: Background audio sounds may also be played as panned beeps. Results may however be unpredictable because sounds will tend to overlap.

Tapper (Checkbox)

When checked activates the appropriate left or right tapper unit if connected.

If the tactile unit controller is not connected the checkbox is greyed out. To enable the tactile units close EMDR Pro, plug-in the tactile unit controller (the black box) and restart EMDR Pro.

Tap duration scrollbar

The amount of time that the left or right tappers should remain "on" when the tracking object or image is at the right or left hand sides.

If the duration selected is greater than the amount of time it takes for the tracking image / object to move from left to right, the duration is automatically cut-short to enable smooth pulsing.

"L" / "All off" / "R" - Manual testing buttons

For purposes of testing duration settings and to verify that the tappers are in the correct hands.

Gentle (Checkbox)

When checked forces the tappers to pulse more gently.

The strength of the pulse of tactile sensations can also be adjusted via an adjuster within the controller unit itself. (Set initially to 70% of maximum).


vEMDR Help - options window

Options - View/Options

When EMDR Pro opens it loads a series of default settings. These settings are defined via the "Options" window. To access the Options window click on "View" then "Options" via the menu at the top of the screen. ("Alt V / O" is the keyboard shortcut).

When the Options window appears the system defaults are displayed. These are "factory default settings", click on on "Save and exit" without changing anything restores the "factory default settings".

Most users will probably not need to deviate away from the factory default settings.

In most cases when a value is changed via the controls a numeric indicator is also displayed to the top / right of the control being changed. This helps to fine tune default settings. To make very small changes to slider controls click on the slider then press the right and left arrow keys on your keyboard.

When "Save and exit" is pressed the new user default settings are applied instantly.

Options that are "grayed out" are not yet implemented.

Auto resize menu

When selected adjusts the size of the menu on a continuing basis as per the current size of the window.

NB May result in too much flickering if the Windows "Auto hide taskbar" is enabled.

Default language

Sets the language used when EMDR Pro is first opened.

Remember last directory

This setting only appear in the Options window.

If "Use shared library" is checked this setting only applies to the default file location of saved settings files.

If "Use shared library" is unchecked this setting means that whenever a file is opened eg to open a background audio file the location will be wherever the user last specified.

Use file selector with preview ability

Applies to open beep / open image / open audio functions and enables the user to preview sounds / images / video files before using them. (See example below).

Setup / Treatment mode key

Normally the ESCAPE key is used to move between the setup and treatment modes. This can be altered in the Options window by clicking inside the box to the left and pressing whatever key the user wishes in order to move between the two modes.

NB If the key is already being used as a shortcut either within EMDR Pro a warning is not provided. To avoid losing shortcut keys that you view as being important please refer to the keyboard shortcut page and avoid using keys that are already assigned. (Keyboard Shortcuts).

User's Image Editor (or Viewer)

The path to your image editor eg Photoshop or to an image viewer such as your web browser.

To open internet Explorer to view an image file on an XP system enter the following or browse and select the exe file:

  • C:\Program Files\Internet Explorer\iexplore.exe

Use Smooth Start when opening audio files

When checked fades sound in when opening audio files and fades them out when closing them.


Purchase / Unlocking Process

The Purchase / Unlocking Process

Overview

If on startup you see the notification message below this software has not been purchased or has not had the unlock code applied following purchase. A second message follows indicating the number of days of evaluation remaining. A maximum evaluation period of 30 days is allowed before functionality is prevented from being used. If you wish to continue using the software after 30 days you must purchase the software and obtain a valid unique unlock key. To avoid delays please action the purchase process several days before the expiration of your evaluation period.

The purchase / unlock process is necessary to prevent software theft. Any attempt to circumvent the purchase / unlocking process is software theft. Please note that unlock key tracking is in place as is automatic copying detection / notification. Attempts to circumvent the purchase process will be detected automatically resulting in loss of functionality.

The process is as documented in the unlock window and in detail on the Neuro Innovations web site:

Click on "Help" then "Unlock" to access the unlock screen:

To place an order to obtain your unlock key please visit http://www.neuroinnovations.com

To send us your user ref code visit http://www.neuroinnovations.com or send the code via eMail stating your name and the product being unlocked info@neuroinnovations.com


General PC / Laptop Setup Considerations

The following applies to EMDR Pro and most gaming software as well.

Screensavers

To avoid the screen saver cutting-in during treatment it is wise to switch it off or extend the delay before it activates to e.g. 15 mins. (You should never subject a patient to eye movement for more than a few minutes at a time. This is why the infinite mode has been set to cut-off at a thousand sets).

Display Hardware Acceleration

Click on "Start" / "Control Panel" / "Display" / "Settings" / "Trouble shoot" and ensure that "Hardware acceleration" is "Full".

This helps to ensure smooth movement.

Power Management and Laptops

In your power management settings (depends on the laptop) select a profile that favours "Performance".

When using a laptop try and use mains power whenever possible.

Virus Checkers and other applications

Virus checkers hog a lot of processor capacity and memory. When using EMDR Pro it is wise to disable all virus checkers.

The same applies to having multiple other applications open at the same time. This is because processor time is shared between all of the applications open. Only one application is given access to the processor at any one time. Having many applications running at the same time is in fact an illusion (even if you have a system with dual processors).

Please do check for virus's and ad-ware on a regular basis. Both can slow your system down and this will have an impact on animation (as well as everything else).

What Affects Tracking Speed / Quality?

Processor

Faster processors (CPUs) can handle animation more easily than slower processors. Dual processors have an advantage over other types of processor.

Memory

The more memory you have the less your computer will need to use disk memory caching i.e. writing blocks of memory to disk because the compute has run out of physical memory. More memory is generally advantageous.

Display / Graphics Card

Not all displays are the same - some are faster than others and a fast display can be let down by a slow graphics card. Generally speaking a reasonably fast display will generate the smoothest animation.

Background Colours

Some combinations of background colour / tracking object colour generate a better illusion of movement than others. Yellow tracking object on black background generates movement without a comet trail. The reverse generates a long comet trail effect with some displays. Experiment and find a combination that you like.

Background images / "Quality" setting

Large / high quality background images at 100% quality will slow animation down considerably. By setting the quality at eg 40% the speed of movement will increase greatly without reducing image quality too much. (The "100%" quality setting will skip automatic compression and load the file from disk as-is without any compression / standardisation).

Unless you need to try and keep the "Quality" setting for background images as low as possible. The "Quality" setting is saved when you save settings to file so you can apply different "Quality" settings to different files.

Short background audio loops playing in the large media player

When the large media player gets to the end of the file that it is currently playing it reloads the file from disk. With very short loops this disk-accessing can slow animation down or generate a stagger effect. You should play short loops using the loop player provided. The loop player loads the short audio loop into memory and replays from memory rather than streaming from disk.

Time since last reboot / restart / shutdown

The longer your PC is "on" the more fragmented and corrupted memory becomes. So it is generally a good idea to restart e.g. once a day.


Trouble Shooting

Supported operating systems

The software is known to operate under the following versions of Windows

  • Windows 7
  • Windows Vista
  • Windows XP (Home or Pro)
  • Windows 98
  • Windows NT 4 (With service pack 6a or later applied)
  • Windows ME
  • Windows 2000 (With service pack 2 or later applied

MAC compatibility depends on the level of Windows emulation possible.

Other operating systems may or may not support the software.

Monitor / Screen

The software is known to operate with the following screen types

  • Super VGA (1024 * 768) or higher / 256 colours

Other screen types may or may not support the software.

If a Windows search (F3) process is underway this will have a major impact on processor availability and will cause significant disruption to screen animations. To resolve close the seach windows down.

Monitor Settings: Enable hardware acceleration and optimise for speed.

Screen saver: Switch off your screen saver or extend the "inactive" time period to avoid the sreen saver activating during a set of movements.

Installation

The software may not be installed onto a network server or any other form of distributed network device.

Installation is to a folder named c:\CS. This must not be changed.

The Microsoft .Net Framework must be installed on some systems. The installation utility will identify if this is required and take appropriate action.

Memory

The software is known to operate on systems with 64K + of memory. Large audio files / multiple Windows open at the same time will reduce available memory.

As a matter of course you should reset your PC on a regular basis ie do not leave it up and running permanently.

Processor

The software is known to operate on Pentium III + systems but may still function with other processor types.

As with all Windows applications try to keep the number of Windows / Applications active at any one time down to a minimum.

Unlock

Software is licensed to a specific PC. The formally registered user must be the person that installs the software. They must be logged in as themselves to do so. If details of either change and are detected a new unlock code must be requested and entered.

See also

  • Messages and Notifications
  • Issues list / support area via http://www.neuroinnovations.com
© Neuro Innovations 2002-2011


Error Messages and Notifications

Audio / Sound

[A1] Audio version 1.8 was not loaded

Restart the application / Windows. Sound card problem.

[A2] Can't start digital audio output

Restart the application / Windows. Sound card problem.

[A3] Can't Load Audio Sample

File corruption / wrong format / missing file.

[A4] Audio play function locked. Evaluation period over. Please purchase and enter unlock key.

Purchase software and then enter unlock key.

[A5] Can't play audio sample

File corruption / wrong format / missing file.

[A6] Can't Load Audio Sample

File corruption / wrong format / missing file.

[A7] Audio driver version 1.8 was not loaded

Restart the application / Windows. Sound card problem.

[A8] Can't start digital audio output

Restart the application / Windows. Sound card problem.

Evaluation Period Security

[UL1] Unlock applied!

Software already unlocked. No need to apply the lock.

[UL2] Unlock failed. Verification level 3.

Purchase software and then enter unlock key.

[UL3] Unlock failed. Verification level 2.

Purchase software and then enter unlock key.

[UL4] Unregistered version detected. Timeout and usage restrictions apply.

Purchase software and then enter unlock key.

[UL5] Evaluation period now over. Please purchase and enter unlock code.

Purchase software and then enter unlock key.

[UL6] Days into evaluation =

Purchase software and then enter unlock key.

[UL7] Unlock failed. Verification level 3.

Purchase software and then enter unlock key.

[] Unlock failed. Verification level 4.

Purchase software and then enter unlock key.

[UL8] Unable to identify registration status.

Purchase software and then enter unlock key.

[M1] Start function locked. Evaluation period over. Please purchase and enter unlock key.

Purchase software and then enter unlock key.

Enter Unlock Key

[EUL1] Please enter first name / last name / address line 1 / city / zip

Person ID details missing.

[EUL2] Please re-enter ID details and then click on this button.

Person ID details missing - please enter.

[EUL3] File could not be created or written to.

Do you have access rights to systems folders / files? Could be a locked file (restart application / Windows)? Contact support.

[EUL4] Your software is now unlocked. Please restart the application to enable new settings.

Restart the application to enable new settings.

[EUL5] Unlock failed.

Do you have access rights to systems folders / files? Could be a locked file (restart application / Windows)? Contact support.

File Save / Open

[FS1] File could not be created or written to.

Do you have access rights to the folder / file? Is the file locked (restart application / Windows)? Contact support.

[FO1] Values from saved file not loaded back

Possible file corruption. Loading settings files from a previous version of the software. Reset the settings manually and resave.

[FO2] File could not be opened or read.

Do you have access rights to the folder / file? Is the file locked (restart application / Windows)? Contact support.


Support

Support / Contact

Support requests should be sent by eMail to info@neuroinnovations.com with vEMDR Support in the subject line

Purchase information including prices can be found at http://www.neuroinnovations.com

© Neuro Innovations 2002-2011